Bug 1766124 - libdnf assumes rpmdb is in Berkeley DB format
Summary: libdnf assumes rpmdb is in Berkeley DB format
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libdnf
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1766120
TreeView+ depends on / blocked
 
Reported: 2019-10-28 11:05 UTC by Panu Matilainen
Modified: 2021-02-05 13:45 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-05 13:45:24 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github rpm-software-management libdnf issues 362 0 'None' closed libdnf assumes rpmdb is in Berkeley DB format 2021-02-05 13:42:46 UTC

Description Panu Matilainen 2019-10-28 11:05:07 UTC
This is the Fedora counterpart of upstream https://github.com/rpm-software-management/libdnf/issues/362 ticket, mainly for tracking purposes.

Comment 1 Panu Matilainen 2019-10-29 10:04:12 UTC
For the record, https://github.com/rpm-software-management/libdnf/commit/4cd90939d45fa8056f00873665a1d166158edf70 seems to be sufficient to get basic libdnf functionality going with alternative rpmdb backends for testing purposes. So test-blockage can be removed by just backporting that.

Comment 2 Ben Cotton 2020-02-11 17:19:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 3 Panu Matilainen 2021-02-05 13:45:24 UTC
AFAICT this has gotten fixed in all the versions that we care about, so I'll just close this bit of monologue...


Note You need to log in before you can comment on or make changes to this bug.